live-build/helpers/lh_clean

133 lines
2.6 KiB
Plaintext
Raw Normal View History

2007-09-23 08:04:46 +00:00
#!/bin/sh
# lh_clean(1) - clean up system build directories
2008-03-06 14:43:00 -01:00
# Copyright (C) 2006-2008 Daniel Baumann <daniel@debian.org>
2007-09-23 08:04:48 +00:00
#
# live-helper comes with ABSOLUTELY NO WARRANTY; for details see COPYING.
# This is free software, and you are welcome to redistribute it
# under certain conditions; see COPYING for details.
2007-09-23 08:04:46 +00:00
set -e
2007-09-23 08:05:11 +00:00
# Including common functions
LH_BASE="${LH_BASE:-/usr/share/live-helper}"
for FUNCTION in "${LH_BASE}"/functions/*.sh
2007-09-23 08:04:46 +00:00
do
2007-09-23 08:05:11 +00:00
. "${FUNCTION}"
2007-09-23 08:04:46 +00:00
done
2007-09-23 08:05:11 +00:00
# Setting static variables
2007-09-23 08:04:48 +00:00
DESCRIPTION="clean up system build directories"
HELP=""
USAGE="${PROGRAM} [--all] [--cache] [--chroot] [--binary] [--purge] [--remove] [--stage] [--source]"
2007-09-23 08:04:48 +00:00
#Arguments "${@}"
2007-09-23 08:04:48 +00:00
2007-09-23 08:04:46 +00:00
# Reading configuration files
2008-04-07 10:10:21 +00:00
Read_conffile config/all config/common config/bootstrap config/chroot config/binary config/source
2007-09-23 08:04:46 +00:00
Set_defaults
# Avoid cases were users accidentally nuke their config/binary
if [ ! -d config ] || [ "$(basename ${PWD})" = "config" ]
then
Echo_error "${PWD} is not a good Debian Live working directory to clean."
exit 1
fi
2007-09-23 08:05:12 +00:00
rm -f .lock
if [ -z "${*}" ]
then
ARGUMENTS="--all"
else
ARGUMENTS="${@}"
fi
for ARGUMENT in ${ARGUMENTS}
2007-09-23 08:05:18 +00:00
do
case "${ARGUMENT}" in
--all)
"${0}" --chroot
"${0}" --binary
"${0}" --stage
"${0}" --source
2007-09-23 08:05:18 +00:00
;;
--cache)
2007-09-23 08:05:18 +00:00
${LH_ROOT_COMMAND} rm -rf cache
;;
--chroot)
2007-09-23 08:05:18 +00:00
Echo_message "Cleaning chroot"
${LH_ROOT_COMMAND} umount -f chroot/sys > /dev/null 2>&1 || true
${LH_ROOT_COMMAND} umount -f chroot/proc/sys/fs/binfmt_misc > /dev/null 2>&1 || true
${LH_ROOT_COMMAND} umount -f chroot/proc > /dev/null 2>&1 || true
${LH_ROOT_COMMAND} umount -f chroot/lib/init/rw > /dev/null 2>&1 || true
${LH_ROOT_COMMAND} umount -f chroot/dev/shm > /dev/null 2>&1 || true
${LH_ROOT_COMMAND} umount -f chroot/dev/pts > /dev/null 2>&1 || true
${LH_ROOT_COMMAND} umount -f chroot/dev > /dev/null 2>&1 || true
${LH_ROOT_COMMAND} rm -rf chroot chroot.tmp
rm -f .stage/chroot*
;;
--binary)
2007-09-23 08:05:18 +00:00
${LH_ROOT_COMMAND} umount -f binary.tmp > /dev/null 2>&1 || true
rm -rf binary.tmp binary.deb binary.udeb
rm -f binary.iso
rm -f binary.img
rm -f binary*.tar.gz
rm -f binary.sh
rm -rf binary
rm -rf tftpboot
rm -f .stage/binary*
;;
--remove)
"${0}" --all
rm -rf cache/packages_*
;;
--purge)
"${0}" --all
"${0}" --cache
2007-09-23 08:05:18 +00:00
;;
--stage)
2007-09-23 08:05:18 +00:00
rm -rf .stage
;;
--source)
2007-09-23 08:05:18 +00:00
rm -f source.iso
rm -f source.img
rm -f source*.tar
rm -f source*.tar.gz
rm -rf source
rm -f .stage/source*
;;
-h|--help)
Help
;;
-u|--usage)
Usage
;;
-v|--version)
Version
;;
2007-09-23 08:05:18 +00:00
*)
Usage
exit 1
2007-09-23 08:05:18 +00:00
;;
esac
done